Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fo.properties
Interface ShorthandParser

All Known Implementing Classes:
  BackgroundPositionShorthand.Parser, BorderSpacingShorthandParser, BoxPropShorthandParser, FontShorthandParser, GenericShorthandParser, PageBreakShorthandParser, PositionShorthandParser, VerticalAlignShorthandParser, WhiteSpaceShorthandParser, XMLLangShorthandParser

    public interface ShorthandParser

Interface used to provide parsing capabilities to Properties with shorthand characteristics (those with multiple components).

Method Summary
`Property` | `getValueForProperty(int propId, Property property, PropertyMaker maker, PropertyList propertyList)`

Method Detail

### getValueForProperty

    Property getValueForProperty(int propId,
                                 Property property,
                                 PropertyMaker maker,
                                 PropertyList propertyList)
                                 throws PropertyException

  Parameters:
    `propId` - the property ID in the Constants interface
    `property` - from which value is obtained
    `maker` - Maker object for the Property
    `propertyList` - list of properties
  Returns:
    Property object corresponding to propName
  Throws:
    `PropertyException` - in case a property exception occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.